PageSpinner Master HTML with the HTML Editor for Mac OS! PageSpinner Globe
PageSpinner Home News archive Download PageSpinner Get Support Buy PageSpinner

PageSpinner Support Page for Mac OS 9

Known issues and incompatibilities in PageSpinner 4 on Mac OS 9:

If you get the error message "The application 'PageSpinner' has unexpectedly quit because an error of type 3 occurred" when you try to launch the application, you need to upgrade the System's CarbonLib extension. The latest version of CarbonLib can be found here.

If the Open or Save commands doesn't display the Open or Save dialog you will need to rebuild the System's Desktop file. Press the Option+Command keys during startup of the computer and click Yes when you are asked if you want to rebuild the desktop.

It seems that a few older system extensions causes problems with CarbonLib-based applications like PageSpinner 4 in Mac OS 8 / 9:

* The included scripts "Update Includes in Folder..." and "Update Includes in Site..." or other scripts that open files will cause PageSpinner to crash when running System 9.2.2 with AppleScript version 1.7. This is fixed in AppleScript 1.8.3 which can be downloaded through the Mac OS 9 Software Update control panel.

* The third-party system extension OSA Menu may cause the title in the menu bar to flash rapidly after using a keyboard shortcut to save, edit or copy text and other commands. You will need to disable or upgrade OSA Menu to get rid of this problem.

* The third-party system extension Scrollability is not compatible with PageSpinner 4, and may cause PageSpinner to become unstable and eventually crash.

* If you use the control panel Default Folder 3.1.x on Mac OS 9 and the option "Turn off navigation services when possible" is selected in Default Folder's preferences, PageSpinner's commands for Save (as)... and Open... actions will not work.

This behaviour can be corrected by clicking the "Except for..." button in the Default Folder's preferences, clicking the "Add..." button and choosing PageSpinner in the open file dialog.

AppleScript 1.8.3 may be required
The included scripts "Update Includes in Folder..." and "Update Includes in Site..." or other scripts that open files may cause PageSpinner to crash when running System 9.2.2 with AppleScript version 1.7. This is fixed in AppleScript 1.8.3 which can be downloaded through the Mac OS 9 Software Update control panel or from this Apple support page.

Get CamSpinner
Optima System

© 2012 Optima System. All rights reserved.
MapSpinner - the HTML image map editor for Mac OS